logo
ClientClient_uuid
GET
/client/{client_uuid}

Authorization

x-api-key<token>

HMAC-SHA256 signed key produced by the apikee engine. Format: <base62-id>.<base62-claims>.<base62-hmac> The first 12 characters are the keyPrefix (safe for logging).

In: header

Path Parameters

client_uuid*string
Formatuuid

Query Parameters

project_env?string

e.g. my-app-production

Response Body

application/json

curl -X GET "https://apikee.dev/api/v1/client/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "type": "person",
  "status": "active",
  "source": {},
  "ipWhitelist": [
    "string"
  ],
  "metadata": {},
  "templateId": "string",
  "envId": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "keys": [
    {
      "id": "string",
      "name": "string",
      "keyPrefix": "string",
      "rawKey": "string",
      "scopes": [
        "string"
      ],
      "environment": "string",
      "enabled": true,
      "requestCount": 0,
      "lastUsedAt": "2019-08-24T14:15:22Z",
      "expiresAt": "2019-08-24T14:15:22Z",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "metadata": {}
    }
  ],
  "stats": {
    "total": 0,
    "success": 0,
    "error": 0,
    "avgDurationMs": 0
  }
}